Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155555 - picture of the monitor in right-to-left locales is twisted
Summary: picture of the monitor in right-to-left locales is twisted
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-display
Version: 4
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-04-21 12:34 UTC by Farzaneh Sarafraz
Modified: 2014-06-18 09:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-28 21:31:03 UTC


Attachments (Terms of Use)
the way display settings looks in right-to-left locales (deleted)
2005-04-21 12:46 UTC, Farzaneh Sarafraz
no flags Details
the way display settings should look in all locales. (deleted)
2005-04-21 12:49 UTC, Farzaneh Sarafraz
no flags Details

Description Farzaneh Sarafraz 2005-04-21 12:34:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
When "system-config-display" is run in the Persian locale, which is right-to-left, the picture of the monitor shown in the "settings" tab is displayed incorrectly. Two screenshots are attached for English and Persian locales.


Version-Release number of selected component (if applicable):
system-config-display-1.0.25-3

How reproducible:
Always

Steps to Reproduce:
1. run "LANG= fa_IR system-config-display"


Actual Results:  the display settings is shown with the picture of the monitor shown incorrectly. (see screenshot1)

Expected Results:  the display settings should have been shown with the correct picture as is shown in left-to-right locales. (see screenshot2)

Additional info:

Comment 1 Farzaneh Sarafraz 2005-04-21 12:46:57 UTC
Created attachment 113466 [details]
the way display settings looks in right-to-left locales

to be compared to the folowing attachment.

Comment 2 Farzaneh Sarafraz 2005-04-21 12:49:58 UTC
Created attachment 113467 [details]
the way display settings should look in all locales.

this is the display settings in en_GB locale. to be compared with the previous
one.


Note You need to log in before you can comment on or make changes to this bug.